namespace DBShardTools.Core
{
    public interface IPersister
    {
        string ConnectionString { get; }
        string Name { get;}
        string Description { get; }
        int ExecuteNoQuery(string commandText);
        int ExecuteNoQueryBulky(string[] allCommandText);
        bool TestConnection();
        string GetCreateTableDdl(string tableName);
        string GetAlterTableDdl(string tableName);
        string GetDropTableDdl(string tableName);
        string[] GetTables();
        string Host { get; set; }
        int Port { get; set; }
        string UserName { get; set; }
        string Password { get; set; }
        string Database { get; set; }
    }
}