﻿using System;
using System.Data;
using System.Data.SqlClient;

namespace DBShardTools.Core
{
    public class SqlPersister : PersisterBase
    {
        public override IDbConnection GetConnection()
        {
            return new SqlConnection(ConnectionString);
        }

        public override IConnectionStringBuilder GetConnectionStringBuilder()
        {
            return new SqlConnectionStringBuilder();
        }
        public override string Name
        {
            get
            {
                return "Sql";
            }
        }

        public override string Description
        {
            get { return "SQL Server"; }
        }
        private int _port;
        public override string GetCreateTableDdl(string tableName)
        {
            throw new NotImplementedException();
        }

        public override string GetAlterTableDdl(string tableName)
        {
            throw new NotImplementedException();
        }

        public override string GetDropTableDdl(string tableName)
        {
            throw new NotImplementedException();
        }

        public override string[] GetTables()
        {
            throw new NotImplementedException();
        }

        public override int Port
        {
            get
            {
                if (_port == 0)
                    _port = 1433;

                return _port;
            }
            set { _port = value; }
        }

        private string _userName;

        public override string UserName
        {
            get 
            {
                if (string.IsNullOrEmpty(_userName))
                    _userName = "sa";
                return _userName;
            }
            set { _userName = value; }
        }
    }
}
